3

I'm trying to make Resynthesizer plug-in work in Gimp 2.8.10 under Ubuntu 14.04 TLS but I get this error:

Traceback (most recent call last):

  File "/usr/lib/gimp/2.0/python/gimpfu.py", line 699, in response
    dialog.res = run_script(params)
  File "/usr/lib/gimp/2.0/python/gimpfu.py", line 361, in run_script
    return apply(function, params)
  File "/home/olivier/.gimp-2.8/plug-ins/plugin-heal-selection.py", line 148, in heal_selection
    pdb.plug_in_resynthesizer(timg, tdrawable, 0,0, useBorder, work_drawable.ID, -1, -1, 0.0, 0.117, 16, 500)
error: procedure not found

I downloaded the plugin here: http://registry.gimp.org/node/27986, extracted all in /home/olivier/.gimp-2.8/plug-ins/

Then make all files in this folder read, write, execute.

But I get this error. I have no more ideas.

A same question was launched in November last year and was closed because it was a bug report issue. Is it still the same one year later?

2

Simply put, this is v1.0, while v2.0 is already available (not as a build though).

You can fetch source code from https://github.com/bootchk/resynthesizer and build it.

2

I had the same error as you. After removing the current non working plugin files, look up "gimp-plugin-registry" in the ubuntu software center. After I installed this the heal selection filter was available and worked.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.